<div class="region region-content dashboard-container">
  <h2 class="home-container-title">{{ 'My Account'|t }}</h2>

  <div class="account-info-container">
    {% if curUser.name.0.value %}
      <div class="row">
        <label class="col-sm-2">{{ 'Name'|t }}:</label>
        <p>{{ curUser.name.0.value }}</p>
      </div>
    {% endif %}

    {% if curUser.mail.0.value %}
      <div class="row">
        <label class="col-sm-2">{{ 'Email'|t }}:</label>
        <p>{{ curUser.mail.0.value }}</p>
      </div>
    {% endif %}

    {% if curUser.field_dexpod_web_id.0.value %}
      <div class="row">
        <label class="col-sm-2">{{ 'Dexpod Web Id'|t }}:</label>
        <p>{{ curUser.field_dexpod_web_id.0.value }}</p>
      </div>
    {% endif %}

    {% if curUser.field_api_user.0.value %}
      <div class="row">
        <label class="col-sm-2">{{ 'Catalog API Account'|t }}:</label>
        <p>{{ curUser.field_api_user.0.value }}</p>
      </div>
    {% endif %}

  </div>

  <div class="info-box-container">
    {% set disabled = urls is empty %}

    <div class="teaser-box-alignment">
      {% if not disabled %}
      <a href="{{ urls.datasets }}" class="teaser-box hider" target="_blank" rel="noopener"
         title="{{ 'View your datasets.'|t }}">
        <div>
          <h3>{{ 'My datasets'|t }}</h3>
          <p class="teaser-box-clamp">
            {{ 'View your datasets.'|t }}
          </p>
        </div>
      </a>
      {% else %}
        <div class="teaser-box hider">
          <div>
            <h3>{{ 'My datasets'|t }}</h3>
            <p class="teaser-box-clamp">
              {{ "My datasets is disabled, please contact Dexes support."|t }}
            </p>
          </div>
        </div>
      {% endif %}

    </div>

    <div class="teaser-box-alignment">
      {% if not disabled %}
      <a href="{{ urls.offers }}" class="teaser-box hider" target="_blank" rel="noopener"
         title="{{ 'View your offers.'|t }}">
        <div>
          <h3>{{ 'My offers'|t }}</h3>
          <p class="teaser-box-clamp">
            {{ 'View your offers.'|t }}
          </p>
        </div>
      </a>
      {% else %}
        <div class="teaser-box hider">
          <div>
            <h3>{{ 'My offers'|t }}</h3>
            <p class="teaser-box-clamp">
              {{ "My offers is disabled, please contact Dexes support."|t }}
            </p>
          </div>
        </div>
      {% endif %}
    </div>

    <div class="teaser-box-alignment">
      {% if not disabled %}
      <a href="{{ urls.deals }}" class="teaser-box hider" target="_blank" rel="noopener"
         title="{{ 'View your Data Deals.'|t }}">
        <div>
          <h3>{{ 'My Deals'|t }}</h3>
          <p class="teaser-box-clamp">
            {{ 'View your Data Deals.'|t }}
          </p>
        </div>
      </a>
      {% else %}
        <div class="teaser-box hider">
          <div>
            <h3>{{ 'My Deals'|t }}</h3>
            <p class="teaser-box-clamp">
              {{ "My Deals is disabled, please contact Dexes support."|t }}
            </p>
          </div>
        </div>
      {% endif %}
    </div>

    <div class="teaser-box-alignment">
      {% if not disabled %}
      <a href="{{ urls.dexpod }}" class="teaser-box hider" target="_blank" rel="noopener"
         title="{{ 'Go to your Dexpod.'|t }}">
        <div>
          <h3>{{ 'My Dexpod'|t }}</h3>
          <p class="teaser-box-clamp">
            {{ 'Go to your Dexpod.'|t }}
          </p>
        </div>
      </a>
      {% else %}
        <div class="teaser-box hider">
          <div>
            <h3>{{ 'My Dexpod'|t }}</h3>
            <p class="teaser-box-clamp">
              {{ "My Dexpod is disabled, please contact Dexes support."|t }}
            </p>
          </div>
        </div>
      {% endif %}
    </div>
  </div>
</div>
